.scroll {
  & .loading {
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    color: #333;
    font-size: 60px;
    font-weight: 900;
    letter-spacing: 3px;
  }
  & .scroll-nav {
    z-index: 99;
    position: absolute;
    bottom: 0;
    color: #fff;
    font-size: 20px;
    margin: 20px;
    right: 0;
    & span {
      margin: 5px 10px;
      &.active {cursor:pointer;}
      &.inactive {opacity: .5;}
    }
  }
  & .sections {
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    overflow: hidden;

    & .section {
      position: absolute;
      top: 0;
      height: 100vh;
      width: 100vw;
      display: flex;
      justify-content: center;
      align-items: center;
      color: #FFF;
      font-size: 60px;
      font-weight: 900;
      letter-spacing: 3px;
      transition: left 1s ease-in-out;


      // Some useless styling
      &.section-a { background: #4285F4; }
      &.section-b { background: #DB4437; }
      &.section-c { background: #F4B400; }
      &.section-d { background: #0F9D58; }
    }    
  }
}